%define with_py2 1
%define with_py3 1

Name:          gwebsockets
Version:       0.4
Release:       11%{?dist}
Summary:       GLib based websockets server

Group:         System Environment/Libraries
License:       ASL 2.0
URL:           https://pypi.python.org/pypi/gwebsockets
Source0:       %{name}-%{version}.tar.bz2
Patch0:        python3port.patch

BuildArch:     noarch 


BuildRequires: glib2-devel
BuildRequires: python-unversioned-command
Requires: python-unversioned-command

%description
A websocket server written in python. It uses GIO for network 
communication and hence it easily integrates with the GLib mainloop.

%if 0%{?with_py2}
%package python2
Summary: python2 version
BuildRequires: python2-devel >= 2.7, python2-setuptools
Requires: python2 >= 2.7
%description python2
This package contains the python2 bindings
%endif
%if 0%{?with_py3}
%package python3
Summary: python3 version
BuildRequires: python3-devel, python3-setuptools
%description python3
This package contains the python3 bindings
%endif

%prep
%setup -q
%patch0 -p1

%build

%if 0%{?with_py2}
python2 setup.py build
python2 setup.py install --skip-build --root %{buildroot}
%endif
%if 0%{?with_py3}
python3 setup.py build
python3 setup.py install --skip-build --root %{buildroot}
%endif

%check
# missing dependencies
# python setup.py test

%files
%doc LICENSE README.md

%if 0%{?with_py2}
%files python2
%{python2_sitelib}/gwebsockets*
%endif

%if 0%{?with_py3}
%files python3
%{python3_sitelib}/gwebsockets*
%endif

%changelog
* Sun Aug 18 2019 Bas Hulsken <bhulsken@hotmail.com> - 0.4-11
- Port to Python 3, requires >= Python 2.7 now

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 05 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.4-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 13 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.4-1
- Update to 0.4

* Fri Aug 16 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.3-1
- Update to 0.3

* Sat Jul  6 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.2-1
- Initial package
